<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:h="http://java.sun.com/jsf/html">
<h:head>
    <title>Spring 4 Security  + JSF 2 + PrimeFaces 5  Integration Example</title>
</h:head>
<h:body>
    <h:button value="Go Home" outcome="/index.xhtml" style="margin-right:20px;" ajax="false" icon="pi pi-home" />
    <h3>Spring Security.  Please login</h3>
    <font color="red">
        <h:outputLabel value="${SPRING_SECURITY_LAST_EXCEPTION.message}"/>
    </font>
    <form action="${request.contextPath}/appLogin" method="POST">
        <h:outputLabel value="Enter UserName:" />
        <input type="text" name="app_username"/><br/><br/>
        <h:outputLabel value="Enter Password:" />
        <input type="password" name="app_password"/> <br/><br/>
        <input type="submit" value="Login"/>
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}"/>
    </form>
</h:body>
</html>